Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class ClosureGrailsControllerHelper

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.AbstractGrailsControllerHelper
          org.codehaus.groovy.grails.web.servlet.mvc.ClosureGrailsControllerHelper

    public class ClosureGrailsControllerHelper
    extends AbstractGrailsControllerHelper

Implements action invokation throught Closure.

Authors:
  Stephane Maldini

Since:
  2.0

Field Summary

Fields inherited from class AbstractGrailsControllerHelper
application, applicationContext, grailsAttributes, servletContext

Method Summary
`protected java.lang.Object` | `invoke(groovy.lang.GroovyObject controller, java.lang.Object action)`
`protected groovy.lang.Closure` | `retrieveAction(groovy.lang.GroovyObject controller, java.lang.String actionName, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class AbstractGrailsControllerHelper
executeAction, getControllerClassByName, getControllerClassByURI, getControllerInstance, getGrailsAttributes, getServletContext, handleAction, handleAction, handleActionResponse, handleURI, handleURI, invoke, retrieveAction, setApplicationContext, setGrailsApplication, setServletContext

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### invoke

    @Override
    protected java.lang.Object invoke(groovy.lang.GroovyObject controller, java.lang.Object action)

### retrieveAction

    @Override
    protected groovy.lang.Closure retrieveAction(groovy.lang.GroovyObject controller, java.lang.String actionName, javax.servlet.http.HttpServletResponse response)

Groovy Documentation